%define upstream_name    Time-Warp
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Change the start and speed of Event time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl-devel
%description
Our external experience unfolds in 3 1/2 dimensions (time has a
dimensionality of 1/2). The Time::Warp module offers developers control
over the measurement of time.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.550.0-3.mga10
+ Revision: 2088245
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.550.0-2.mga10
+ Revision: 2011276
- Rebuild for perl-5.38

* Thu Sep 22 2022 tv <tv> 0.550.0-1.mga9
+ Revision: 1891561
- update to 0.55

* Mon Jun 13 2022 tv <tv> 0.540.0-7.mga9
+ Revision: 1864293
- Fix "Tests fail after Test::Simple 1.302190 release #7"
+ umeabot <umeabot>
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.540.0-6.mga9
+ Revision: 1796135
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.540.0-5.mga9
+ Revision: 1727157
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.540.0-4.mga8
+ Revision: 1595286
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.540.0-3.mga8
+ Revision: 1530155
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.540.0-2.mga8
+ Revision: 1433926
- rebuild for perl 5.30

* Wed Oct 17 2018 shlomif <shlomif> 0.540.0-1.mga7
+ Revision: 1321485
- update to 0.54

* Fri Sep 21 2018 umeabot <umeabot> 0.530.0-2.mga7
+ Revision: 1293891
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.530.0-1.mga7
+ Revision: 1254050
- update to 0.53

* Wed Aug 08 2018 pterjan <pterjan> 0.520.0-8.mga7
+ Revision: 1249896
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.520.0-7.mga7
+ Revision: 1167192
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.520.0-6.mga7
+ Revision: 1149368
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.520.0-5.mga7
+ Revision: 1126708
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.520.0-4.mga6
+ Revision: 1035351
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 umeabot <umeabot> 0.520.0-3.mga6
+ Revision: 953040
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.520.0-2.mga6
+ Revision: 845384
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.520.0-1.mga6
+ Revision: 841403
- update to 0.52

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-11.mga5
+ Revision: 749939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-10.mga5
+ Revision: 686710
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.500.0-9.mga5
+ Revision: 631818
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.500.0-8.mga4
+ Revision: 525083
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.500.0-7.mga4
+ Revision: 431825
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-6.mga3
+ Revision: 374360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.500.0-5.mga3
+ Revision: 251267
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.500.0-4.mga2
+ Revision: 105064
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.500.0-3.mga1
+ Revision: 31379
- mageia rebuild
- imported package perl-Time-Warp

